Operations
Get an asynchronous operation
Returns one asynchronous operation from the active organization. Use this endpoint to get an asynchronous operation through the Samva email API.
Returns one asynchronous operation from the active organization.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^op_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/operations/string"{ "id": "string", "organizationId": "string", "kind": "email-domain-provisioning", "subject": { "type": "string", "id": "string" }, "actor": { "type": "user", "id": "string" }, "status": "pending", "phase": "accepted", "error": { "code": "validation-failed", "message": "string" }, "createdAt": "string", "updatedAt": "string", "startedAt": "string", "completedAt": "string"}Related documentation
Update the current organization
Updates the current organization's profile, regional defaults, and reply-to default and returns the saved organization.
List asynchronous operations
Lists asynchronous operations for the active organization, newest first. Pass `nextCursor` back as `cursor` for the next page; it is null on the last page.